Webhooks
List Webhook Subscriptions
Returns all active webhook subscriptions registered by the authenticated Data User.
GET
/
webhooks
List Webhook Subscriptions
curl --request GET \
--url https://api.central.consent/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.central.consent/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.central.consent/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": {
"resource": "/v1/access-records/ak_691df0c788ca043403b7fa90",
"timestamp": "2026-03-11T12:00:00Z",
"transaction-id": "tid_691df0c788ca043403b7fa90"
},
"webhooks": [
{
"wid": "wid_a1b2c3d4e5f6a1b2c3d4e5f6",
"callback-url": "https://app.bright-energy.com/webhooks/dar",
"alert-email": "platform-ops@bright-energy.com",
"notify-days-before": 30,
"event-types": [
"consent.expiring"
],
"created-at": "2026-01-10T08:00:00Z",
"active": true
}
]
}{
"response": {
"resource": "/v1/access-records/ak_691df0c788ca043403b7fa90",
"timestamp": "2026-03-11T12:00:00Z",
"transaction-id": "tid_691df0c788ca043403b7fa90"
},
"errors": [
{
"error-code": "VAL001",
"message": "Field 'mpxn' does not match the required pattern."
}
]
}{
"response": {
"resource": "/v1/access-records/ak_691df0c788ca043403b7fa90",
"timestamp": "2026-03-11T12:00:00Z",
"transaction-id": "tid_691df0c788ca043403b7fa90"
},
"errors": [
{
"error-code": "VAL001",
"message": "Field 'mpxn' does not match the required pattern."
}
]
}Last modified on March 25, 2026
⌘I
List Webhook Subscriptions

